Create billing entity
Create a new billing entity using the billing address information.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/billing-entity" \ -H "Content-Type: application/json" \ -d '{ "apiKey": "368b0b2ee9ff75796d64d4f40798b89ed9292905", "parentEntityId": 5, "firstName": "Test", "lastName": "Test", "companyName": "Test", "addressLine1": "Main St No 1", "addressLine2": "Ap 15", "zipCode": "123456", "city": "Test", "state": "AZ", "countryCode": "US", "vatNumber": "98765", "chamberOfCommerce": "888", "emailAddresses": [ "test@gmail.com", "test2@gmail.com" ], "phoneNumber": "0654198826" }'{ "id": 8}Get billing entity GET
Retrieve a list of your billing entities.
Create a product listing-publication POST
Create a product listing that users can order via the Peecho Checkout. After creation, you can use the ID returned by the endpoint and go to https://test.www.peecho.com/print/{ID} to view the checkout page for that product or publication. The product listing can be set up as a single product with a specific price, or as multiple products from the same category with prices determined by the profit markup defined in your account settings.